## tomamp 0.2-maemo0

=== tomamp-build-desktop/Makefile ===
#############################################################################
# Makefile for building: tomamp
# Generated by qmake (2.01a) (Qt 4.6.3) on: Fri Aug 20 01:30:08 2010
# Project:  ../tomamp/tomamp.pro
# Template: app
# Command: /home/tamas/qtsdk-2010.04/qt/bin/qmake -spec ../../../qtsdk-2010.04/qt/mkspecs/linux-g++ -unix -o Makefile ../tomamp/tomamp.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_PHONON_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../../qtsdk-2010.04/qt/mkspecs/linux-g++ -I../tomamp -I../../../qtsdk-2010.04/qt/include/QtCore -I../../../qtsdk-2010.04/qt/include/QtGui -I../../../qtsdk-2010.04/qt/include/phonon -I../../../qtsdk-2010.04/qt/include -I../../../qtsdk-2010.04/qt/include/phonon_compat -I. -I../tomamp -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/home/tamas/qtsdk-2010.04/qt/lib
LIBS          = $(SUBLIBS)  -L/home/tamas/qtsdk-2010.04/qt/lib -lphonon -L/home/berlin/dev/qt-4.6.3-opensource-shipping/this_path_is_supposed_to_be_very_long_hopefully_this_is_long_enough/qt/lib -lQtDBus -L/home/tamas/qtsdk-2010.04/qt/lib -lQtXml -L/usr/X11R6/lib -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/tamas/qtsdk-2010.04/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../tomamp/main.cpp \
		../tomamp/mainwindow.cpp \
		../tomamp/playlistmanager.cpp \
		../tomamp/optiondialog.cpp moc_mainwindow.cpp \
		moc_playlistmanager.cpp \
		moc_optiondialog.cpp \
		qrc_ampres.cpp
OBJECTS       = main.o \
		mainwindow.o \
		playlistmanager.o \
		optiondialog.o \
		moc_mainwindow.o \
		moc_playlistmanager.o \
		moc_optiondialog.o \
		qrc_ampres.o
DIST          = ../../../qtsdk-2010.04/qt/mkspecs/common/g++.conf \
		../../../qtsdk-2010.04/qt/mkspecs/common/unix.conf \
		../../../qtsdk-2010.04/qt/mkspecs/common/linux.conf \
		../../../qtsdk-2010.04/qt/mkspecs/qconfig.pri \
		../../../qtsdk-2010.04/qt/mkspecs/features/qt_functions.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/qt_config.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/exclusive_builds.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/default_pre.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/release.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/default_post.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/warn_on.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/qt.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/unix/thread.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/moc.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/resources.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/uic.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/yacc.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/lex.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/include_source_dir.prf \
		../tomamp/tomamp.pro
QMAKE_TARGET  = tomamp
DESTDIR       = 
TARGET        = tomamp

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../tomamp/tomamp.pro  ../../../qtsdk-2010.04/qt/mkspecs/linux-g++/qmake.conf ../../../qtsdk-2010.04/qt/mkspecs/common/g++.conf \
		../../../qtsdk-2010.04/qt/mkspecs/common/unix.conf \
		../../../qtsdk-2010.04/qt/mkspecs/common/linux.conf \
		../../../qtsdk-2010.04/qt/mkspecs/qconfig.pri \
		../../../qtsdk-2010.04/qt/mkspecs/features/qt_functions.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/qt_config.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/exclusive_builds.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/default_pre.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/release.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/default_post.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/warn_on.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/qt.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/unix/thread.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/moc.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/resources.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/uic.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/yacc.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/lex.prf \
		../../../qtsdk-2010.04/qt/mkspecs/features/include_source_dir.prf \
		/home/tamas/qtsdk-2010.04/qt/lib/libphonon.prl \
		/home/tamas/qtsdk-2010.04/qt/lib/libQtDBus.prl \
		/home/tamas/qtsdk-2010.04/qt/lib/libQtXml.prl \
		/home/tamas/qtsdk-2010.04/qt/lib/libQtCore.prl \
		/home/tamas/qtsdk-2010.04/qt/lib/libQtGui.prl
	$(QMAKE) -spec ../../../qtsdk-2010.04/qt/mkspecs/linux-g++ -unix -o Makefile ../tomamp/tomamp.pro
../../../qtsdk-2010.04/qt/mkspecs/common/g++.conf:
../../../qtsdk-2010.04/qt/mkspecs/common/unix.conf:
../../../qtsdk-2010.04/qt/mkspecs/common/linux.conf:
../../../qtsdk-2010.04/qt/mkspecs/qconfig.pri:
../../../qtsdk-2010.04/qt/mkspecs/features/qt_functions.prf:
../../../qtsdk-2010.04/qt/mkspecs/features/qt_config.prf:
../../../qtsdk-2010.04/qt/mkspecs/features/exclusive_builds.prf:
../../../qtsdk-2010.04/qt/mkspecs/features/default_pre.prf:
../../../qtsdk-2010.04/qt/mkspecs/features/release.prf:
../../../qtsdk-2010.04/qt/mkspecs/features/default_post.prf:
../../../qtsdk-2010.04/qt/mkspecs/features/warn_on.prf:
../../../qtsdk-2010.04/qt/mkspecs/features/qt.prf:
../../../qtsdk-2010.04/qt/mkspecs/features/unix/thread.prf:
../../../qtsdk-2010.04/qt/mkspecs/features/moc.prf:
../../../qtsdk-2010.04/qt/mkspecs/features/resources.prf:
../../../qtsdk-2010.04/qt/mkspecs/features/uic.prf:
../../../qtsdk-2010.04/qt/mkspecs/features/yacc.prf:
../../../qtsdk-2010.04/qt/mkspecs/features/lex.prf:
../../../qtsdk-2010.04/qt/mkspecs/features/include_source_dir.prf:
/home/tamas/qtsdk-2010.04/qt/lib/libphonon.prl:
/home/tamas/qtsdk-2010.04/qt/lib/libQtDBus.prl:
/home/tamas/qtsdk-2010.04/qt/lib/libQtXml.prl:
/home/tamas/qtsdk-2010.04/qt/lib/libQtCore.prl:
/home/tamas/qtsdk-2010.04/qt/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -spec ../../../qtsdk-2010.04/qt/mkspecs/linux-g++ -unix -o Makefile ../tomamp/tomamp.pro

dist: 
	@$(CHK_DIR_EXISTS) ../tomamp/.tmp/tomamp1.0.0 || $(MKDIR) ../tomamp/.tmp/tomamp1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../tomamp/.tmp/tomamp1.0.0/ && $(COPY_FILE) --parents ../tomamp/mainwindow.h ../tomamp/playlistmanager.h ../tomamp/optiondialog.h ../tomamp/.tmp/tomamp1.0.0/ && $(COPY_FILE) --parents ../tomamp/ampres.qrc ../tomamp/.tmp/tomamp1.0.0/ && $(COPY_FILE) --parents ../tomamp/main.cpp ../tomamp/mainwindow.cpp ../tomamp/playlistmanager.cpp ../tomamp/optiondialog.cpp ../tomamp/.tmp/tomamp1.0.0/ && (cd `dirname ../tomamp/.tmp/tomamp1.0.0` && $(TAR) tomamp1.0.0.tar tomamp1.0.0 && $(COMPRESS) tomamp1.0.0.tar) && $(MOVE) `dirname ../tomamp/.tmp/tomamp1.0.0`/tomamp1.0.0.tar.gz . && $(DEL_FILE) -r ../tomamp/.tmp/tomamp1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_playlistmanager.cpp moc_optiondialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_playlistmanager.cpp moc_optiondialog.cpp
moc_mainwindow.cpp: ../tomamp/playlistmanager.h \
		../tomamp/mainwindow.h
	/home/tamas/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) ../tomamp/mainwindow.h -o moc_mainwindow.cpp

moc_playlistmanager.cpp: ../tomamp/playlistmanager.h
	/home/tamas/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) ../tomamp/playlistmanager.h -o moc_playlistmanager.cpp

moc_optiondialog.cpp: ../tomamp/optiondialog.h
	/home/tamas/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) ../tomamp/optiondialog.h -o moc_optiondialog.cpp

compiler_rcc_make_all: qrc_ampres.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_ampres.cpp
qrc_ampres.cpp: ../tomamp/ampres.qrc \
		../tomamp/images/Tomamp.png \
		../tomamp/images/audio-volume-high.png \
		../tomamp/images/shuffle.png
	/home/tamas/qtsdk-2010.04/qt/bin/rcc -name ampres ../tomamp/ampres.qrc -o qrc_ampres.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

main.o: ../tomamp/main.cpp ../tomamp/mainwindow.h \
		../tomamp/playlistmanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o ../tomamp/main.cpp

mainwindow.o: ../tomamp/mainwindow.cpp ../tomamp/mainwindow.h \
		../tomamp/playlistmanager.h \
		../tomamp/optiondialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o ../tomamp/mainwindow.cpp

playlistmanager.o: ../tomamp/playlistmanager.cpp ../tomamp/playlistmanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o playlistmanager.o ../tomamp/playlistmanager.cpp

optiondialog.o: ../tomamp/optiondialog.cpp ../tomamp/optiondialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o optiondialog.o ../tomamp/optiondialog.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_playlistmanager.o: moc_playlistmanager.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_playlistmanager.o moc_playlistmanager.cpp

moc_optiondialog.o: moc_optiondialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_optiondialog.o moc_optiondialog.cpp

qrc_ampres.o: qrc_ampres.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_ampres.o qrc_ampres.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_icon26: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ 
	-$(INSTALL_FILE) /home/tamas/Documents/tomamp/data/26x26/Tomamp.png $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/


uninstall_icon26:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/Tomamp.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ 


install_icon40: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/40x40/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/40x40/apps/ 
	-$(INSTALL_FILE) /home/tamas/Documents/tomamp/data/40x40/Tomamp.png $(INSTALL_ROOT)/usr/share/icons/hicolor/40x40/apps/


uninstall_icon40:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/40x40/apps/Tomamp.png

=== tomamp-build-maemo/Makefile ===
#############################################################################
# Makefile for building: tomamp
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Aug 20 19:06:54 2010
# Project:  ../tomamp/tomamp.pro
# Template: app
# Command: /home/tamas/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-1030/bin/qmake -spec ../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix -o Makefile ../tomamp/tomamp.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_PHONON_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I../tomamp -I../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/include/QtCore -I../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/include/QtGui -I../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/include/phonon -I../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/include/QtMaemo5 -I../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/include -I/usr/include -I/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/include/phonon_compat -I. -I../tomamp -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib -L/usr/lib -lQtMaemo5 -L/usr/X11R6/lib -lphonon -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/tamas/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-1030/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../tomamp/main.cpp \
		../tomamp/mainwindow.cpp \
		../tomamp/playlistmanager.cpp \
		../tomamp/optiondialog.cpp moc_mainwindow.cpp \
		moc_playlistmanager.cpp \
		moc_optiondialog.cpp \
		qrc_ampres.cpp
OBJECTS       = main.o \
		mainwindow.o \
		playlistmanager.o \
		optiondialog.o \
		moc_mainwindow.o \
		moc_playlistmanager.o \
		moc_optiondialog.o \
		qrc_ampres.o
DIST          = ../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/mobility.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/lex.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		../tomamp/tomamp.pro
QMAKE_TARGET  = tomamp
DESTDIR       = 
TARGET        = tomamp

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../tomamp/tomamp.pro  ../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf ../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/mobility.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/lex.prf \
		../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtMaemo5.prl \
		/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtDBus.prl \
		/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtXml.prl \
		/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtCore.prl \
		/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtGui.prl \
		/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libphonon.prl
	$(QMAKE) -spec ../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix -o Makefile ../tomamp/tomamp.pro
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/common/unix.conf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/common/linux.conf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/qconfig.pri:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/release.prf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/default_post.prf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/mobility.prf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt.prf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/moc.prf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/resources.prf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/uic.prf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/yacc.prf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/lex.prf:
../../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtMaemo5.prl:
/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtDBus.prl:
/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtXml.prl:
/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtCore.prl:
/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtGui.prl:

=== tomamp-build-simulator/Makefile ===
#############################################################################
# Makefile for building: tomamp
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Aug 20 01:10:18 2010
# Project:  ../tomamp/tomamp.pro
# Template: app
# Command: /home/tamas/NokiaQtSDK/Simulator/Qt/gcc/bin/qmake -spec ../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../tomamp/tomamp.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_PHONON_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -I../tomamp -I../../../NokiaQtSDK/Simulator/Qt/gcc/include/QtCore -I../../../NokiaQtSDK/Simulator/Qt/gcc/include/QtGui -I../../../NokiaQtSDK/Simulator/Qt/gcc/include/phonon -I../../../NokiaQtSDK/Simulator/Qt/gcc/include -I/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/include/QtMobilitySimulator -I../../../NokiaQtSDK/Simulator/QtMobility/gcc/include -I/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/include/phonon_compat -I. -I../tomamp -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib -Wl,-rpath,/home/tamas/NokiaQtSDK/Simulator/QtMobility/gcc/lib
LIBS          = $(SUBLIBS)  -L/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib -L/home/tamas/NokiaQtSDK/Simulator/QtMobility/gcc/lib -lQtMobilitySimulator -lphonon -L/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib -lQtDBus -lQtXml -L/usr/X11R6/lib -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/tamas/NokiaQtSDK/Simulator/Qt/gcc/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../tomamp/main.cpp \
		../tomamp/mainwindow.cpp \
		../tomamp/playlistmanager.cpp \
		../tomamp/optiondialog.cpp moc_mainwindow.cpp \
		moc_playlistmanager.cpp \
		moc_optiondialog.cpp \
		qrc_ampres.cpp
OBJECTS       = main.o \
		mainwindow.o \
		playlistmanager.o \
		optiondialog.o \
		moc_mainwindow.o \
		moc_playlistmanager.o \
		moc_optiondialog.o \
		qrc_ampres.o
DIST          = ../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/linux.conf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/qconfig.pri \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_functions.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_config.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/exclusive_builds.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_pre.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/debug.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_post.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/mobility.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/warn_on.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/modules/qt_webkit_version.pri \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/unix/thread.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/moc.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/resources.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/uic.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/yacc.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/lex.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/include_source_dir.prf \
		../tomamp/tomamp.pro
QMAKE_TARGET  = tomamp
DESTDIR       = 
TARGET        = tomamp

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../tomamp/tomamp.pro  ../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++/qmake.conf ../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/linux.conf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/qconfig.pri \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_functions.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_config.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/exclusive_builds.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_pre.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/debug.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_post.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/mobility.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/warn_on.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/modules/qt_webkit_version.pri \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/unix/thread.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/moc.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/resources.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/uic.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/yacc.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/lex.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/include_source_dir.prf \
		/home/tamas/NokiaQtSDK/Simulator/QtMobility/gcc/lib/libQtMobilitySimulator.prl \
		/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libphonon.prl \
		/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtDBus.prl \
		/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtXml.prl \
		/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtCore.prl \
		/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtGui.prl \
		/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtNetwork.prl
	$(QMAKE) -spec ../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../tomamp/tomamp.pro
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/linux.conf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/qconfig.pri:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_functions.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_config.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/exclusive_builds.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_pre.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/debug.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_post.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/mobility.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/warn_on.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/modules/qt_webkit_version.pri:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/unix/thread.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/moc.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/resources.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/uic.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/yacc.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/lex.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/include_source_dir.prf:
/home/tamas/NokiaQtSDK/Simulator/QtMobility/gcc/lib/libQtMobilitySimulator.prl:
/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libphonon.prl:
/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtDBus.prl:
/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtXml.prl:
/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtCore.prl:
/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtGui.prl:
/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -spec ../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../tomamp/tomamp.pro

dist: 
	@$(CHK_DIR_EXISTS) ../tomamp/.tmp/tomamp1.0.0 || $(MKDIR) ../tomamp/.tmp/tomamp1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../tomamp/.tmp/tomamp1.0.0/ && $(COPY_FILE) --parents ../tomamp/mainwindow.h ../tomamp/playlistmanager.h ../tomamp/optiondialog.h ../tomamp/.tmp/tomamp1.0.0/ && $(COPY_FILE) --parents ../tomamp/ampres.qrc ../tomamp/.tmp/tomamp1.0.0/ && $(COPY_FILE) --parents ../tomamp/main.cpp ../tomamp/mainwindow.cpp ../tomamp/playlistmanager.cpp ../tomamp/optiondialog.cpp ../tomamp/.tmp/tomamp1.0.0/ && (cd `dirname ../tomamp/.tmp/tomamp1.0.0` && $(TAR) tomamp1.0.0.tar tomamp1.0.0 && $(COMPRESS) tomamp1.0.0.tar) && $(MOVE) `dirname ../tomamp/.tmp/tomamp1.0.0`/tomamp1.0.0.tar.gz . && $(DEL_FILE) -r ../tomamp/.tmp/tomamp1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_playlistmanager.cpp moc_optiondialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_playlistmanager.cpp moc_optiondialog.cpp
moc_mainwindow.cpp: ../tomamp/playlistmanager.h \
		../tomamp/mainwindow.h
	/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/bin/moc $(DEFINES) $(INCPATH) ../tomamp/mainwindow.h -o moc_mainwindow.cpp

moc_playlistmanager.cpp: ../tomamp/playlistmanager.h
	/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/bin/moc $(DEFINES) $(INCPATH) ../tomamp/playlistmanager.h -o moc_playlistmanager.cpp

moc_optiondialog.cpp: ../tomamp/optiondialog.h
	/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/bin/moc $(DEFINES) $(INCPATH) ../tomamp/optiondialog.h -o moc_optiondialog.cpp

compiler_rcc_make_all: qrc_ampres.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_ampres.cpp
qrc_ampres.cpp: ../tomamp/ampres.qrc \
		../tomamp/images/Tomamp.png \
		../tomamp/images/audio-volume-high.png \
		../tomamp/images/shuffle.png
	/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/bin/rcc -name ampres ../tomamp/ampres.qrc -o qrc_ampres.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

main.o: ../tomamp/main.cpp ../tomamp/mainwindow.h \
		../tomamp/playlistmanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o ../tomamp/main.cpp

mainwindow.o: ../tomamp/mainwindow.cpp ../tomamp/mainwindow.h \
		../tomamp/playlistmanager.h \
		../tomamp/optiondialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o ../tomamp/mainwindow.cpp

playlistmanager.o: ../tomamp/playlistmanager.cpp ../tomamp/playlistmanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o playlistmanager.o ../tomamp/playlistmanager.cpp

=== oold/tomamp-build-desktop/Makefile ===
#############################################################################
# Makefile for building: tomamp
# Generated by qmake (2.01a) (Qt 4.6.3) on: Fri Aug 13 01:29:33 2010
# Project:  ../tomamp/tomamp/tomamp.pro
# Template: app
# Command: /home/tamas/qtsdk-2010.04/qt/bin/qmake -spec ../../qtsdk-2010.04/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../tomamp/tomamp/tomamp.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_PHONON_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../qtsdk-2010.04/qt/mkspecs/linux-g++ -I../tomamp/tomamp -I../../qtsdk-2010.04/qt/include/QtCore -I../../qtsdk-2010.04/qt/include/QtGui -I../../qtsdk-2010.04/qt/include/phonon -I../../qtsdk-2010.04/qt/include -I../../qtsdk-2010.04/qt/include/phonon_compat -I. -I../tomamp/tomamp -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/tamas/qtsdk-2010.04/qt/lib
LIBS          = $(SUBLIBS)  -L/home/tamas/qtsdk-2010.04/qt/lib -lphonon -L/home/berlin/dev/qt-4.6.3-opensource-shipping/this_path_is_supposed_to_be_very_long_hopefully_this_is_long_enough/qt/lib -lQtDBus -L/home/tamas/qtsdk-2010.04/qt/lib -lQtXml -L/usr/X11R6/lib -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/tamas/qtsdk-2010.04/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../tomamp/tomamp/main.cpp \
		../tomamp/tomamp/mainwindow.cpp \
		../tomamp/tomamp/playlistmanager.cpp \
		../tomamp/tomamp/optiondialog.cpp moc_mainwindow.cpp \
		moc_playlistmanager.cpp \
		moc_optiondialog.cpp \
		qrc_ampres.cpp
OBJECTS       = main.o \
		mainwindow.o \
		playlistmanager.o \
		optiondialog.o \
		moc_mainwindow.o \
		moc_playlistmanager.o \
		moc_optiondialog.o \
		qrc_ampres.o
DIST          = ../qtsdk-2010.04/qt/mkspecs/common/g++.conf \
		../qtsdk-2010.04/qt/mkspecs/common/unix.conf \
		../qtsdk-2010.04/qt/mkspecs/common/linux.conf \
		../qtsdk-2010.04/qt/mkspecs/qconfig.pri \
		../qtsdk-2010.04/qt/mkspecs/features/qt_functions.prf \
		../qtsdk-2010.04/qt/mkspecs/features/qt_config.prf \
		../qtsdk-2010.04/qt/mkspecs/features/exclusive_builds.prf \
		../qtsdk-2010.04/qt/mkspecs/features/default_pre.prf \
		../qtsdk-2010.04/qt/mkspecs/features/debug.prf \
		../qtsdk-2010.04/qt/mkspecs/features/default_post.prf \
		../qtsdk-2010.04/qt/mkspecs/features/warn_on.prf \
		../qtsdk-2010.04/qt/mkspecs/features/qt.prf \
		../qtsdk-2010.04/qt/mkspecs/features/unix/thread.prf \
		../qtsdk-2010.04/qt/mkspecs/features/moc.prf \
		../qtsdk-2010.04/qt/mkspecs/features/resources.prf \
		../qtsdk-2010.04/qt/mkspecs/features/uic.prf \
		../qtsdk-2010.04/qt/mkspecs/features/yacc.prf \
		../qtsdk-2010.04/qt/mkspecs/features/lex.prf \
		../qtsdk-2010.04/qt/mkspecs/features/include_source_dir.prf \
		../tomamp/tomamp/tomamp.pro
QMAKE_TARGET  = tomamp
DESTDIR       = 
TARGET        = tomamp

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../tomamp/tomamp/tomamp.pro  ../../qtsdk-2010.04/qt/mkspecs/common/g++.conf \
		../../qtsdk-2010.04/qt/mkspecs/common/unix.conf \
		../../qtsdk-2010.04/qt/mkspecs/common/linux.conf \
		../../qtsdk-2010.04/qt/mkspecs/qconfig.pri \
		../../qtsdk-2010.04/qt/mkspecs/features/qt_functions.prf \
		../../qtsdk-2010.04/qt/mkspecs/features/qt_config.prf \
		../../qtsdk-2010.04/qt/mkspecs/features/exclusive_builds.prf \
		../../qtsdk-2010.04/qt/mkspecs/features/default_pre.prf \
		../../qtsdk-2010.04/qt/mkspecs/features/debug.prf \
		../../qtsdk-2010.04/qt/mkspecs/features/default_post.prf \
		../../qtsdk-2010.04/qt/mkspecs/features/warn_on.prf \
		../../qtsdk-2010.04/qt/mkspecs/features/qt.prf \
		../../qtsdk-2010.04/qt/mkspecs/features/unix/thread.prf \
		../../qtsdk-2010.04/qt/mkspecs/features/moc.prf \
		../../qtsdk-2010.04/qt/mkspecs/features/resources.prf \
		../../qtsdk-2010.04/qt/mkspecs/features/uic.prf \
		../../qtsdk-2010.04/qt/mkspecs/features/yacc.prf \
		../../qtsdk-2010.04/qt/mkspecs/features/lex.prf \
		../../qtsdk-2010.04/qt/mkspecs/features/include_source_dir.prf \
		/home/tamas/qtsdk-2010.04/qt/lib/libphonon.prl \
		/home/tamas/qtsdk-2010.04/qt/lib/libQtDBus.prl \
		/home/tamas/qtsdk-2010.04/qt/lib/libQtXml.prl \
		/home/tamas/qtsdk-2010.04/qt/lib/libQtCore.prl \
		/home/tamas/qtsdk-2010.04/qt/lib/libQtGui.prl
	$(QMAKE) -spec ../../qtsdk-2010.04/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../tomamp/tomamp/tomamp.pro
../../qtsdk-2010.04/qt/mkspecs/common/g++.conf:
../../qtsdk-2010.04/qt/mkspecs/common/unix.conf:
../../qtsdk-2010.04/qt/mkspecs/common/linux.conf:
../../qtsdk-2010.04/qt/mkspecs/qconfig.pri:
../../qtsdk-2010.04/qt/mkspecs/features/qt_functions.prf:
../../qtsdk-2010.04/qt/mkspecs/features/qt_config.prf:
../../qtsdk-2010.04/qt/mkspecs/features/exclusive_builds.prf:
../../qtsdk-2010.04/qt/mkspecs/features/default_pre.prf:
../../qtsdk-2010.04/qt/mkspecs/features/debug.prf:
../../qtsdk-2010.04/qt/mkspecs/features/default_post.prf:
../../qtsdk-2010.04/qt/mkspecs/features/warn_on.prf:
../../qtsdk-2010.04/qt/mkspecs/features/qt.prf:
../../qtsdk-2010.04/qt/mkspecs/features/unix/thread.prf:
../../qtsdk-2010.04/qt/mkspecs/features/moc.prf:
../../qtsdk-2010.04/qt/mkspecs/features/resources.prf:
../../qtsdk-2010.04/qt/mkspecs/features/uic.prf:
../../qtsdk-2010.04/qt/mkspecs/features/yacc.prf:
../../qtsdk-2010.04/qt/mkspecs/features/lex.prf:
../../qtsdk-2010.04/qt/mkspecs/features/include_source_dir.prf:
/home/tamas/qtsdk-2010.04/qt/lib/libphonon.prl:
/home/tamas/qtsdk-2010.04/qt/lib/libQtDBus.prl:
/home/tamas/qtsdk-2010.04/qt/lib/libQtXml.prl:
/home/tamas/qtsdk-2010.04/qt/lib/libQtCore.prl:
/home/tamas/qtsdk-2010.04/qt/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -spec ../../qtsdk-2010.04/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../tomamp/tomamp/tomamp.pro

dist: 
	@$(CHK_DIR_EXISTS) ../tomamp/tomamp/.tmp/tomamp1.0.0 || $(MKDIR) ../tomamp/tomamp/.tmp/tomamp1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../tomamp/tomamp/.tmp/tomamp1.0.0/ && $(COPY_FILE) --parents ../tomamp/tomamp/mainwindow.h ../tomamp/tomamp/playlistmanager.h ../tomamp/tomamp/optiondialog.h ../tomamp/tomamp/.tmp/tomamp1.0.0/ && $(COPY_FILE) --parents ../tomamp/tomamp/ampres.qrc ../tomamp/tomamp/.tmp/tomamp1.0.0/ && $(COPY_FILE) --parents ../tomamp/tomamp/main.cpp ../tomamp/tomamp/mainwindow.cpp ../tomamp/tomamp/playlistmanager.cpp ../tomamp/tomamp/optiondialog.cpp ../tomamp/tomamp/.tmp/tomamp1.0.0/ && (cd `dirname ../tomamp/tomamp/.tmp/tomamp1.0.0` && $(TAR) tomamp1.0.0.tar tomamp1.0.0 && $(COMPRESS) tomamp1.0.0.tar) && $(MOVE) `dirname ../tomamp/tomamp/.tmp/tomamp1.0.0`/tomamp1.0.0.tar.gz . && $(DEL_FILE) -r ../tomamp/tomamp/.tmp/tomamp1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_playlistmanager.cpp moc_optiondialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_playlistmanager.cpp moc_optiondialog.cpp
moc_mainwindow.cpp: ../tomamp/tomamp/playlistmanager.h \
		../tomamp/tomamp/mainwindow.h
	/home/tamas/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) ../tomamp/tomamp/mainwindow.h -o moc_mainwindow.cpp

moc_playlistmanager.cpp: ../tomamp/tomamp/playlistmanager.h
	/home/tamas/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) ../tomamp/tomamp/playlistmanager.h -o moc_playlistmanager.cpp

moc_optiondialog.cpp: ../tomamp/tomamp/optiondialog.h
	/home/tamas/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) ../tomamp/tomamp/optiondialog.h -o moc_optiondialog.cpp

compiler_rcc_make_all: qrc_ampres.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_ampres.cpp
qrc_ampres.cpp: ../tomamp/tomamp/ampres.qrc
	/home/tamas/qtsdk-2010.04/qt/bin/rcc -name ampres ../tomamp/tomamp/ampres.qrc -o qrc_ampres.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

main.o: ../tomamp/tomamp/main.cpp ../tomamp/tomamp/mainwindow.h \
		../tomamp/tomamp/playlistmanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o ../tomamp/tomamp/main.cpp

mainwindow.o: ../tomamp/tomamp/mainwindow.cpp ../tomamp/tomamp/mainwindow.h \
		../tomamp/tomamp/playlistmanager.h \
		../tomamp/tomamp/optiondialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o ../tomamp/tomamp/mainwindow.cpp

playlistmanager.o: ../tomamp/tomamp/playlistmanager.cpp ../tomamp/tomamp/playlistmanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o playlistmanager.o ../tomamp/tomamp/playlistmanager.cpp

optiondialog.o: ../tomamp/tomamp/optiondialog.cpp ../tomamp/tomamp/optiondialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o optiondialog.o ../tomamp/tomamp/optiondialog.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_playlistmanager.o: moc_playlistmanager.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_playlistmanager.o moc_playlistmanager.cpp

moc_optiondialog.o: moc_optiondialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_optiondialog.o moc_optiondialog.cpp

qrc_ampres.o: qrc_ampres.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_ampres.o qrc_ampres.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_icon26: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ 
	-$(INSTALL_FILE) /home/tamas/Documents/tomamp/data/26x26/Tomamp.png $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/


uninstall_icon26:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/Tomamp.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ 


install_icon40: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/40x40/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/40x40/apps/ 
	-$(INSTALL_FILE) /home/tamas/Documents/tomamp/data/40x40/Tomamp.png $(INSTALL_ROOT)/usr/share/icons/hicolor/40x40/apps/


uninstall_icon40:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/40x40/apps/Tomamp.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/40x40/apps/

=== oold/tomamp-build-maemo/Makefile ===
#############################################################################
# Makefile for building: tomamp
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Aug 14 17:53:23 2010
# Project:  ../tomamp/tomamp/tomamp.pro
# Template: app
# Command: /home/tamas/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-1030/bin/qmake -spec ../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix -o Makefile ../tomamp/tomamp/tomamp.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_PHONON_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I../tomamp/tomamp -I../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/include/QtCore -I../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/include/QtGui -I../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/include/phonon -I../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/include -I/usr/include -I/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/include/phonon_compat -I. -I../tomamp/tomamp -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib -L/usr/lib -lphonon -lQtDBus -lQtXml -L/usr/X11R6/lib -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/tamas/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-1030/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../tomamp/tomamp/main.cpp \
		../tomamp/tomamp/mainwindow.cpp \
		../tomamp/tomamp/playlistmanager.cpp \
		../tomamp/tomamp/optiondialog.cpp moc_mainwindow.cpp \
		moc_playlistmanager.cpp \
		moc_optiondialog.cpp \
		qrc_ampres.cpp
OBJECTS       = main.o \
		mainwindow.o \
		playlistmanager.o \
		optiondialog.o \
		moc_mainwindow.o \
		moc_playlistmanager.o \
		moc_optiondialog.o \
		qrc_ampres.o
DIST          = ../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/release.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/mobility.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/lex.prf \
		../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		../tomamp/tomamp/tomamp.pro
QMAKE_TARGET  = tomamp
DESTDIR       = 
TARGET        = tomamp

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../tomamp/tomamp/tomamp.pro  ../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/mobility.prf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/lex.prf \
		../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libphonon.prl \
		/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtDBus.prl \
		/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtXml.prl \
		/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtCore.prl \
		/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtGui.prl
	$(QMAKE) -spec ../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix -o Makefile ../tomamp/tomamp/tomamp.pro
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/common/unix.conf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/common/linux.conf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/qconfig.pri:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/release.prf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/default_post.prf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/mobility.prf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/qt.prf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/moc.prf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/resources.prf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/uic.prf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/yacc.prf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/lex.prf:
../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libphonon.prl:
/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtDBus.prl:
/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtXml.prl:
/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtCore.prl:
/home/tamas/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -spec ../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1030-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix -o Makefile ../tomamp/tomamp/tomamp.pro

dist: 
	@$(CHK_DIR_EXISTS) ../tomamp/tomamp/.tmp/tomamp1.0.0 || $(MKDIR) ../tomamp/tomamp/.tmp/tomamp1.0.0

=== oold/tomamp-build-simulator/Makefile ===
#############################################################################
# Makefile for building: tomamp
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Aug 13 01:26:17 2010
# Project:  ../tomamp/tomamp.pro
# Template: subdirs
# Command: /home/tamas/NokiaQtSDK/Simulator/Qt/gcc/bin/qmake -spec ../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../tomamp/tomamp.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /home/tamas/NokiaQtSDK/Simulator/Qt/gcc/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-tomamp

tomamp/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) tomamp/ || $(MKDIR) tomamp/ 
	cd tomamp/ && $(QMAKE) /home/tamas/Documents/tomamp/tomamp/tomamp.pro -spec ../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o $(MAKEFILE)
sub-tomamp-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) tomamp/ || $(MKDIR) tomamp/ 
	cd tomamp/ && $(QMAKE) /home/tamas/Documents/tomamp/tomamp/tomamp.pro -spec ../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o $(MAKEFILE)
sub-tomamp: tomamp/$(MAKEFILE) FORCE
	cd tomamp/ && $(MAKE) -f $(MAKEFILE)
sub-tomamp-make_default: tomamp/$(MAKEFILE) FORCE
	cd tomamp/ && $(MAKE) -f $(MAKEFILE) 
sub-tomamp-make_first: tomamp/$(MAKEFILE) FORCE
	cd tomamp/ && $(MAKE) -f $(MAKEFILE) first
sub-tomamp-all: tomamp/$(MAKEFILE) FORCE
	cd tomamp/ && $(MAKE) -f $(MAKEFILE) all
sub-tomamp-clean: tomamp/$(MAKEFILE) FORCE
	cd tomamp/ && $(MAKE) -f $(MAKEFILE) clean
sub-tomamp-distclean: tomamp/$(MAKEFILE) FORCE
	cd tomamp/ && $(MAKE) -f $(MAKEFILE) distclean
sub-tomamp-install_subtargets: tomamp/$(MAKEFILE) FORCE
	cd tomamp/ && $(MAKE) -f $(MAKEFILE) install
sub-tomamp-uninstall_subtargets: tomamp/$(MAKEFILE) FORCE
	cd tomamp/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: ../tomamp/tomamp.pro  ../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++/qmake.conf ../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/linux.conf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/qconfig.pri \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_functions.prf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_config.prf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/exclusive_builds.prf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_pre.prf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/debug.prf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_post.prf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/warn_on.prf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/modules/qt_webkit_version.pri \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt.prf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/unix/thread.prf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/moc.prf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/resources.prf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/uic.prf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/yacc.prf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/lex.prf \
		../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec ../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../tomamp/tomamp.pro
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/linux.conf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/qconfig.pri:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_functions.prf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_config.prf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/exclusive_builds.prf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_pre.prf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/debug.prf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_post.prf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/warn_on.prf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/modules/qt_webkit_version.pri:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt.prf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/unix/thread.prf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/moc.prf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/resources.prf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/uic.prf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/yacc.prf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/lex.prf:
../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec ../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../tomamp/tomamp.pro

qmake_all: sub-tomamp-qmake_all FORCE

make_default: sub-tomamp-make_default FORCE
make_first: sub-tomamp-make_first FORCE
all: sub-tomamp-all FORCE
clean: sub-tomamp-clean FORCE
distclean: sub-tomamp-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-tomamp-install_subtargets FORCE
uninstall_subtargets: sub-tomamp-uninstall_subtargets FORCE

sub-tomamp-check: tomamp/$(MAKEFILE)
	cd tomamp/ && $(MAKE) check
check: sub-tomamp-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== oold/tomamp-build-simulator/tomamp/Makefile ===
#############################################################################
# Makefile for building: tomamp
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fri Aug 13 01:30:31 2010
# Project:  ../../tomamp/tomamp/tomamp.pro
# Template: app
# Command: /home/tamas/NokiaQtSDK/Simulator/Qt/gcc/bin/qmake -spec ../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../../tomamp/tomamp/tomamp.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_PHONON_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -I../../tomamp/tomamp -I../../../NokiaQtSDK/Simulator/Qt/gcc/include/QtCore -I../../../NokiaQtSDK/Simulator/Qt/gcc/include/QtGui -I../../../NokiaQtSDK/Simulator/Qt/gcc/include/phonon -I../../../NokiaQtSDK/Simulator/Qt/gcc/include -I/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/include/QtMobilitySimulator -I../../../NokiaQtSDK/Simulator/QtMobility/gcc/include -I/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/include/phonon_compat -I. -I../../tomamp/tomamp -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib -Wl,-rpath,/home/tamas/NokiaQtSDK/Simulator/QtMobility/gcc/lib
LIBS          = $(SUBLIBS)  -L/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib -L/home/tamas/NokiaQtSDK/Simulator/QtMobility/gcc/lib -lQtMobilitySimulator -lphonon -L/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib -lQtDBus -lQtXml -L/usr/X11R6/lib -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/tamas/NokiaQtSDK/Simulator/Qt/gcc/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../../tomamp/tomamp/main.cpp \
		../../tomamp/tomamp/mainwindow.cpp \
		../../tomamp/tomamp/playlistmanager.cpp \
		../../tomamp/tomamp/optiondialog.cpp moc_mainwindow.cpp \
		moc_playlistmanager.cpp \
		moc_optiondialog.cpp \
		qrc_ampres.cpp
OBJECTS       = main.o \
		mainwindow.o \
		playlistmanager.o \
		optiondialog.o \
		moc_mainwindow.o \
		moc_playlistmanager.o \
		moc_optiondialog.o \
		qrc_ampres.o
DIST          = ../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/linux.conf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/qconfig.pri \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_functions.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_config.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/exclusive_builds.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_pre.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/debug.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_post.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/mobility.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/warn_on.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/modules/qt_webkit_version.pri \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/unix/thread.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/moc.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/resources.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/uic.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/yacc.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/lex.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/include_source_dir.prf \
		../../tomamp/tomamp/tomamp.pro
QMAKE_TARGET  = tomamp
DESTDIR       = 
TARGET        = tomamp

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../../tomamp/tomamp/tomamp.pro  ../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++/qmake.conf ../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/linux.conf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/qconfig.pri \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_functions.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_config.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/exclusive_builds.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_pre.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/debug.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_post.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/mobility.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/warn_on.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/modules/qt_webkit_version.pri \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/unix/thread.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/moc.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/resources.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/uic.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/yacc.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/lex.prf \
		../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/include_source_dir.prf \
		/home/tamas/NokiaQtSDK/Simulator/QtMobility/gcc/lib/libQtMobilitySimulator.prl \
		/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libphonon.prl \
		/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtDBus.prl \
		/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtXml.prl \
		/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtCore.prl \
		/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtGui.prl \
		/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtNetwork.prl
	$(QMAKE) -spec ../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../../tomamp/tomamp/tomamp.pro
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/linux.conf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/qconfig.pri:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_functions.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_config.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/exclusive_builds.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_pre.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/debug.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_post.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/mobility.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/warn_on.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/modules/qt_webkit_version.pri:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/unix/thread.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/moc.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/resources.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/uic.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/yacc.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/lex.prf:
../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/include_source_dir.prf:
/home/tamas/NokiaQtSDK/Simulator/QtMobility/gcc/lib/libQtMobilitySimulator.prl:
/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libphonon.prl:
/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtDBus.prl:
/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtXml.prl:
/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtCore.prl:
/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtGui.prl:
/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -spec ../../../NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../../tomamp/tomamp/tomamp.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../tomamp/tomamp/.tmp/tomamp1.0.0 || $(MKDIR) ../../tomamp/tomamp/.tmp/tomamp1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../tomamp/tomamp/.tmp/tomamp1.0.0/ && $(COPY_FILE) --parents ../../tomamp/tomamp/mainwindow.h ../../tomamp/tomamp/playlistmanager.h ../../tomamp/tomamp/optiondialog.h ../../tomamp/tomamp/.tmp/tomamp1.0.0/ && $(COPY_FILE) --parents ../../tomamp/tomamp/ampres.qrc ../../tomamp/tomamp/.tmp/tomamp1.0.0/ && $(COPY_FILE) --parents ../../tomamp/tomamp/main.cpp ../../tomamp/tomamp/mainwindow.cpp ../../tomamp/tomamp/playlistmanager.cpp ../../tomamp/tomamp/optiondialog.cpp ../../tomamp/tomamp/.tmp/tomamp1.0.0/ && (cd `dirname ../../tomamp/tomamp/.tmp/tomamp1.0.0` && $(TAR) tomamp1.0.0.tar tomamp1.0.0 && $(COMPRESS) tomamp1.0.0.tar) && $(MOVE) `dirname ../../tomamp/tomamp/.tmp/tomamp1.0.0`/tomamp1.0.0.tar.gz . && $(DEL_FILE) -r ../../tomamp/tomamp/.tmp/tomamp1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_playlistmanager.cpp moc_optiondialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_playlistmanager.cpp moc_optiondialog.cpp
moc_mainwindow.cpp: ../../tomamp/tomamp/playlistmanager.h \
		../../tomamp/tomamp/mainwindow.h
	/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/bin/moc $(DEFINES) $(INCPATH) ../../tomamp/tomamp/mainwindow.h -o moc_mainwindow.cpp

moc_playlistmanager.cpp: ../../tomamp/tomamp/playlistmanager.h
	/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/bin/moc $(DEFINES) $(INCPATH) ../../tomamp/tomamp/playlistmanager.h -o moc_playlistmanager.cpp

moc_optiondialog.cpp: ../../tomamp/tomamp/optiondialog.h
	/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/bin/moc $(DEFINES) $(INCPATH) ../../tomamp/tomamp/optiondialog.h -o moc_optiondialog.cpp

compiler_rcc_make_all: qrc_ampres.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_ampres.cpp
qrc_ampres.cpp: ../../tomamp/tomamp/ampres.qrc \
		../../tomamp/tomamp/images/Tomamp.png \
		../../tomamp/tomamp/images/audio-volume-high.png \
		../../tomamp/tomamp/images/shuffle.png
	/home/tamas/NokiaQtSDK/Simulator/Qt/gcc/bin/rcc -name ampres ../../tomamp/tomamp/ampres.qrc -o qrc_ampres.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

main.o: ../../tomamp/tomamp/main.cpp ../../tomamp/tomamp/mainwindow.h \
		../../tomamp/tomamp/playlistmanager.h

## tomamp 0.1-maemo0

=== debian/changelog ===
tomamp (0.1-maemo0) unstable; urgency=low

  * Initial release
  

 -- Tamas Marki <tmarki@gmail.com>  Mon, 09 Aug 2010 21:34:07 +0200

=== debian/control ===
Source: tomamp
Section: user/multimedia
Priority: extra
Maintainer: Tamas Marki <tmarki@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5.0)
Standards-Version: 3.8.0
Homepage: http://tmarki.com/wp/tomamp
XSBC-Bugtracker: mailto:tmarki@gmail.com

Package: tomamp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple playlist-based music player
 TomAmp is a simple, easy to use, playlist-based audio player
 for Maemo.
 .
XB-Maemo-Display-Name: TomAmp Music Player

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := tomamp
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
#	qmake -v
#	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/usr ../$(APPNAME).pro
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
#	dh_install -X.svn


	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
#	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME)-experimental install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
